<?php
namespace Controleur;

use Model\QuoteModel;
use Gateway\Connection;
use Gateway\QuoteGateway;
use Gateway\AccueilGateway;

class VisitorControler {

    private QuoteModel $qMod;
    private AccueilGateway $accueilGateway;

    public function __construct() {
        global $co;
        $this->qMod = new QuoteModel(new QuoteGateway($co));
        $this->accueilGateway = new AccueilGateway($co); 
    }

    public function accueil() {
        global $vues;

        // Récupérer la citation du jour via AccueilGateway
        $citationDuJour = $this->accueilGateway->getQuoteOfTheDay('fr');
        $suggestions = $this->accueilGateway->getSuggestions(0, 'fr');

        // Passer les données à la vue
        require_once $vues['accueil'];
    }

    public function quote(array $arg) {
        global $vues;

        $id=$arg['idQuote'];
        $q = $this->qMod->searchId($id);
        require_once $vues['quote'];
    }

    public function login() {
        global $vues;
        require_once $vues['login'];
    }

    public function signin() {
        global $vues;
        require_once $vues['signin'];
    }
}
